Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPushImageFilterSample Class Reference

`#include <vtkPushImageFilterSample.h>`

Inheritance diagram for vtkPushImageFilterSample:

[legend]
Collaboration diagram for vtkPushImageFilterSample:

[legend]
List of all members.

## Detailed Description

example of a PushImageFilter

Date:
  2002/08/08 13:29:23

Revision:
  1.2

vtkPushImageFilterSample an example of a complex filter using the PushPipeline.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (92%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkPushImageFilterSample.cxx)`
  - .`h` (`/Hybrid/vtkPushImageFilterSample.h)`

Tests:
  vtkPushImageFilterSample (Tests)

Definition at line 45 of file vtkPushImageFilterSample.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkPushImageFilterSample * | New ()
int | IsTypeOf (const char *type)
vtkPushImageFilterSample * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPushImageFilterSample ()
| ~vtkPushImageFilterSample ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkPushImageFilterSample::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 49 of file vtkPushImageFilterSample.h.

## Constructor & Destructor Documentation

vtkPushImageFilterSample::vtkPushImageFilterSample | ( |  | ) | `[protected]`

vtkPushImageFilterSample::~vtkPushImageFilterSample | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkPushImageFilterSample.h.

## Member Function Documentation

vtkPushImageFilterSample* vtkPushImageFilterSample::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPushImageFilterSample::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkPushImageFilterSample::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkPushImageFilterSample::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkPushImageFilterSample* vtkPushImageFilterSample::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkPushImageFilterSample::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

void vtkPushImageFilterSample::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkPushImageFilterSample::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 57 of file vtkPushImageFilterSample.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkPushImageFilterSample::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

The documentation for this class was generated from the following file:

- Hybrid/vtkPushImageFilterSample.h